org.apache.olingo.odata2.api.edm

## Interface EdmAnnotationElement

- All Known Implementing Classes:
    EdmAnnotationElementImpl

      public interface EdmAnnotationElement

  Do not implement this interface or derive from class.
    A CSDL AnnotationElement element

    EdmAnnotationElement is a custom XML element which can be applied to a CSDL element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EdmAnnotationAttribute>` | `getAttributes()` Get the attributes of this custom element
    `List<EdmAnnotationElement>` | `getChildElements()` Get the child elements of the custom element
    `String` | `getName()` Get the name of the custom element
    `String` | `getNamespace()` Get the namespace of the custom element
    `String` | `getPrefix()` Get the prefix of the custom element
    `String` | `getText()` Get the XML data of the custom element

- - ### Method Detail

    - #### getNamespace

          String getNamespace()

      Get the namespace of the custom element
      Returns:
        String

    - #### getPrefix

          String getPrefix()

      Get the prefix of the custom element
      Returns:
        String

    - #### getName

          String getName()

      Get the name of the custom element
      Returns:
        String

    - #### getText

          String getText()

      Get the XML data of the custom element
      Returns:
        String

    - #### getChildElements

          List<EdmAnnotationElement> getChildElements()

      Get the child elements of the custom element
      Returns:
        child elements of this `EdmAnnotationElement` or null if no child elements exist

    - #### getAttributes

          List<EdmAnnotationAttribute> getAttributes()

      Get the attributes of this custom element
      Returns:
        the attributes of this `EdmAnnotationElement` or null if no attributes exist

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.